DefaultDocletTag
Date: 2017-03-29

com.thoughtworks.qdox.model

## Class DefaultDocletTag

- java.lang.Object
- - com.thoughtworks.qdox.model.DefaultDocletTag

- All Implemented Interfaces:
    DocletTag, java.io.Serializable

      public class DefaultDocletTag
      extends java.lang.Object
      implements DocletTag

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultDocletTag(java.lang.String name, java.lang.String value)`
    `DefaultDocletTag(java.lang.String name, java.lang.String value, AbstractBaseJavaEntity context, int lineNumber)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AbstractBaseJavaEntity` | `getContext()`
    `int` | `getLineNumber()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getNamedParameter(java.lang.String key)`
    `java.util.Map` | `getNamedParameterMap()`
    `java.lang.String[]` | `getParameters()`
    `java.lang.String` | `getValue()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultDocletTag

          public DefaultDocletTag(java.lang.String name,
                          java.lang.String value,
                          AbstractBaseJavaEntity context,
                          int lineNumber)

    - #### DefaultDocletTag

          public DefaultDocletTag(java.lang.String name,
                          java.lang.String value)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `DocletTag`
      Returns:
        the tag name

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `DocletTag`
      Returns:
        the full tag-value

    - #### getParameters

          public java.lang.String[] getParameters()

      Specified by:
        `getParameters` in interface `DocletTag`
      Returns:
        an array of whitespace-separatedtag parameters

    - #### getNamedParameterMap

          public java.util.Map getNamedParameterMap()

      Specified by:
        `getNamedParameterMap` in interface `DocletTag`
      Returns:
        a Map containing all the named-parameters

    - #### getNamedParameter

          public java.lang.String getNamedParameter(java.lang.String key)

      Specified by:
        `getNamedParameter` in interface `DocletTag`
      Parameters:
        `key` - name of a named-parameter
      Returns:
        the corresponding value, or null if no such named-parameter was present

    - #### getContext

          public final AbstractBaseJavaEntity getContext()

      Specified by:
        `getContext` in interface `DocletTag`
      Returns:
        the language element to which this tag applies

    - #### getLineNumber

          public int getLineNumber()

      Specified by:
        `getLineNumber` in interface `DocletTag`
      Returns:
        the line-number where the tag occurred